Public Member Functions | Public Attributes | List of all members
libebook::PLKRHeader Struct Reference

## Public Member Functions
| PLKRHeader ()
bool | isValid () const

## Public Attributes
Compression | compression
bool | valid
bool | validAppInfo

## Constructor & Destructor Documentation

## § PLKRHeader()

libebook::PLKRHeader::PLKRHeader | ( |  | ) |

## Member Function Documentation

## § isValid()

bool libebook::PLKRHeader::isValid | ( |  | ) | const

Referenced by libebook::PLKRParser::PLKRParser().

## Member Data Documentation

## § compression

Compression libebook::PLKRHeader::compression

Referenced by libebook::PLKRParser::getUncompressedStream(), isValid(), and libebook::PLKRParser::readIndexRecord().

## § valid

bool libebook::PLKRHeader::valid

Referenced by isValid(), and libebook::PLKRParser::readIndexRecord().

## § validAppInfo

bool libebook::PLKRHeader::validAppInfo

Referenced by isValid(), and libebook::PLKRParser::readAppInfoRecord().

The documentation for this struct was generated from the following file:

- PLKRParser.cpp